---
id: 69a012c6224fac85832247dd
title: Step 6
challengeType: 1
dashedName: step-6
---

# --description--

Notice the `true`, `{ head: null, length: 0 }`, and `true` results in the console? This happens because you've not assigned anything to the list `myList`, and you've not incremented the `length` property.

Go ahead and assign `node` to `list.head`, and under that, increment the `length` property of `list`.

# --hints--

You should assign `node` to `list.head`.

```js
assert.match(__helpers.removeJSComments(add.toString()), /list\.head\s*=\s*node;?/);
```

You should increment the `length` property of `list`.

```js
assert.match(__helpers.removeJSComments(add.toString()), /list\.length\+\+;?/);
```

# --seed--

## --seed-contents--

```js
function initList() {
    return {
        head: null,
        length: 0
    };
}

function isEmpty(list) {
  return list.length === 0;
}

function add(list, element) {
    const node = {
        element: element,
        next: null
    };

    --fcc-editable-region--

    --fcc-editable-region--
}

const myList = initList();
console.log(isEmpty(myList))
add(myList, 42);
console.log(myList)
console.log(isEmpty(myList))
```
